From: Stefano Rivera <stefanor@debian.org>
Date: Sun, 21 Nov 2021 16:55:32 -0400
Subject: Pass integers to Rect.inflate()

This resolves test failures under Python 3.10.

Not sure if it's the right thing to do be doing, upstream seems to be
functioning on 3.10 without it.
---
 src_py/sprite.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src_py/sprite.py b/src_py/sprite.py
index 6d16ea3..5f3d1d8 100644
--- a/src_py/sprite.py
+++ b/src_py/sprite.py
@@ -1498,12 +1498,12 @@ class collide_rect_ratio:
         leftrect = left.rect
         width = leftrect.width
         height = leftrect.height
-        leftrect = leftrect.inflate(width * ratio - width, height * ratio - height)
+        leftrect = leftrect.inflate(int(width * ratio) - width, int(height * ratio) - height)
 
         rightrect = right.rect
         width = rightrect.width
         height = rightrect.height
-        rightrect = rightrect.inflate(width * ratio - width, height * ratio - height)
+        rightrect = rightrect.inflate(int(width * ratio) - width, int(height * ratio) - height)
 
         return leftrect.colliderect(rightrect)
 
